Skip to main content
POST
/
v1
/
submissions
Submit content or an event
curl --request POST \
  --url https://pnbr.io/v1/submissions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "kind": "note",
  "content": "Inbound from the contact form: wants a security review.",
  "project_id": "9142fa4d-7aad-4a1b-8f99-b522fd37518d"
}
'
{
  "id": "c0ffee00-1111-2222-3333-444455556666",
  "status": "applied",
  "project_id": "9142fa4d-7aad-4a1b-8f99-b522fd37518d",
  "route": "delta",
  "delta_id": "d1d1d1d1-2222-3333-4444-555566667777",
  "applied": true,
  "submission": {
    "kind": "note",
    "entity_ids": [
      "c0ffee00-1111-2222-3333-444455556666"
    ]
  },
  "request_id": "77777777-8888-9999-aaaa-bbbbbbbbbbbb"
}

Authorizations

Authorization
string
header
required

A pnbr- API key. Project-scoped keys make project_id implicit; org-scoped keys require it.

Body

application/json
kind
string
content
string
payload
object
route
enum<string>
Available options:
delta,
document,
extraction
shape_id
string
project_id
string
apply
boolean
default:true

Response

201 - application/json

Captured.

Returned by governed writes. status is applied (committed) or staged (apply:false). Descend via delta_id.

id
string | null
status
enum<string>
Available options:
applied,
staged,
failed
project_id
string
delta_id
string
applied
boolean
request_id
string